package com.liquidnet.client.admin.zhengzai.sweet.utils;

import com.liquidnet.service.sweet.dto.vo.IntegralActivityPrizeRelationVo;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityPrizeVo;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityVo;

import java.util.ArrayList;

public class SweetObjectAdminUtil {
    private static final ArrayList<IntegralActivityVo> sweetIntegralActivityVoList = new ArrayList<>();
    private static final ArrayList<IntegralActivityPrizeVo> sweetIntegralActivityPrizeVoList = new ArrayList<>();
    private static final ArrayList<IntegralActivityPrizeVo> sweetIntegralActivityPrizeRelationVoList = new ArrayList<>();

    public static ArrayList<IntegralActivityVo> getSweetIntegralActivityVoList() {
        return (ArrayList<IntegralActivityVo>)sweetIntegralActivityVoList.clone();
    }
    public static ArrayList<IntegralActivityPrizeVo> getSweetIntegralActivityPrizeVoList() {
        return (ArrayList<IntegralActivityPrizeVo>)sweetIntegralActivityPrizeVoList.clone();
    }
    public static ArrayList<IntegralActivityPrizeRelationVo> getSweetIntegralActivityPrizeRelationVoList() {
        return (ArrayList<IntegralActivityPrizeRelationVo>)sweetIntegralActivityPrizeRelationVoList.clone();
    }
}
